package com.supervision.rasa.util;

import lombok.extern.slf4j.Slf4j;

import java.io.IOException;
import java.net.Socket;

@Slf4j
public class PortUtil {


    public static boolean portIsActive(int port){
        try {
            Socket socket = new Socket("localhost", port);
            socket.close();
            return true;
        } catch (IOException e) {
            log.info("portIsActive: port:{} connect error",port);
        }
        return false;
    }


    public static int findUnusedPort(int minPort,int maxPort){

        if (maxPort < minPort){
            return -1;
        }

        for (int port = minPort; port < maxPort; port++) {
            if (!portIsActive(port)){
                return port;
            }
        }
        return -1;
    }
}
